[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazReaderTiff

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: intfgraphics.pas line 626

`type TLazReaderTiff = class(TFPReaderTiff, ILazImageReader)`
`protected`
`function QueryInterface();`
`function _AddRef;`
`function _Release;`
`procedure InternalRead(); override;`
`public`
`property UpdateDescription: Boolean; [rw]`
`end;`

## Inheritance

`TLazReaderTiff,ILazImageReader`
`TFPReaderTiff`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .